Inputs:
placeholder (String): A placeholder value for your mat-select
selectPlaceholder(String): Placeholder for options filtering
options (Array of objects): Options object to be listed
selectedOptions (Array of Strings): To pre-populate or preselect options
display (String): Property of every option for display in dropdown
value (String): Property of every option to be returned on option selection;
required (Boolean): To make your mat-field required. Default : false;
multiple (Boolean): Able to select multiple or single. Default: true;
disabled (Boolean): To disable the mat-field. default: false;
appearance (String): Appearance of your mat-field. Supported options: 'legacy' | 'standard' | 'fill' | 'outline';
formControl (String): If you’re using Angular reactive form, bind your formControl with mat-select-autocomplete output
showErrorMsg (Boolean): Whether show error message or not. Default: false;
errorMsg (String): Custom error message. Default: ‘Field is required’
labelCount (Number): Number of selected options to be shown in display of mat-select. Default: 1.

Outputs:
selectionChange (EventEmitter): On every option selection, 
this event would be emitted. You could capture the selected options values [Array of Strings] from this event param.

ViewChild:
If you want to toggle mat-select-autocomplete from your own component event, 
you need to import MultiselectComponent in the component and take it’s reference as ViewChild element (eg: matSelect). 
Now you could trigger this.matSelect.toggle() to toggle the dropdown.